Skip to main content
GET
/
sessions
/
{session_id}
Get One Session
curl --request GET \
  --url https://api.swoogo.com/api/v1/sessions/{session_id} \
  --header 'Authorization: Bearer <token>'
{
  "capacity": "20",
  "created_at": "2015-09-28 09:20:03",
  "date": "2015-08-08",
  "description": null,
  "end_time": "12:45:00",
  "id": 1,
  "location": null,
  "location_id": null,
  "name": "Symposium",
  "notes": null,
  "start_time": "11:30:00",
  "track": null,
  "track_id": null,
  "type_id": null,
  "updated_at": "2015-09-28 09:20:03"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

session_id
integer
required

integer - required - The ID of the session you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,event_id,name,admin_short_name,badge_name,description,date,start_time,end_time,times_with_timezone,use_event_timezone,timezone,capacity,notes,location,location_id,track,track_id,session_included,webinar_url,type_id,direct_link,virtual_link,created_at,updated_at"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

"track"

Response

Get Session

event_id
integer
required

ID of the event associated with this session.

Example:

67890

name
string
required

Title or name of the session.

Example:

"Event Management Basics"

id
integer

Unique identifier for the session.

Example:

12345

admin_short_name
string

Admin-specific short name for internal usage.

Example:

"MgmtBasics"

badge_name
string

Display name on attendee badges.

Example:

"Basics of Management"

description
string

Detailed description of the session.

Example:

"An interactive workshop on event management fundamentals."

date
string<date>

The date when the session will take place.

Example:

"2025-07-20"

start_time
string<time>

Start time of the session.

Example:

"10:00:00"

end_time
string<time>

End time of the session.

Example:

"12:00:00"

use_event_timezone
integer

Whether the event's default timezone is applied to the session.

Example:

1

timezone
string

Timezone for the session. For a list of TZ check TZ Identifier column in this page.

Example:

"America/New_York"

capacity
integer

Maximum number of attendees allowed.

Example:

150

location_id
integer

Identifier for the location.

Example:

1234

track_id
integer

Identifier for the session's track.

Example:

5678

webinar_url
string<uri>

URL for the webinar if the session is virtual.

Example:

"https://example.com/webinar/12345"

sold_out_message
string

Custom message displayed when the session is sold out.

Example:

"This session is fully booked."

secure_id
string

Secure identifier for the session.

Example:

"abc123xyz"

session_status
enum<string>

Current status of the session.

Available options:
submitted,
approved,
rejected,
converted,
live
Example:

"approved"

locked_when_saved
enum<integer>

Whether the session is locked after being saved.

Available options:
0,
1
Example:

1

selection_control
enum<string>

Specifies whether the session is optional or included by default, setting the value 'session_included'.

Available options:
optional,
included
Example:

"optional"

selected_by_default
enum<integer>

Indicates if the session is selected by default for attendees.

Available options:
0,
1
Example:

1

prevent_session_conflicts
enum<integer>

Whether when selecting this session should prevent conflicts with other sessions.

Available options:
0,
1
Example:

1

custom_fields
object

Custom fields associated with the session.

Example:
{
"c_1001": "Value1",
"c_1002": [{ "id": 123 }]
}